## resvg_get_node_transform

# Function resvg_get_node_transform

Source

    #[unsafe(no_mangle)]pub extern "C" fn resvg_get_node_transform(
        tree: *const resvg_render_tree,
        id: *const c_char,
        transform: *mut resvg_transform,
    ) -> bool

Expand description

@brief Returns node’s transform by ID.

@param tree Render tree. @param id Node’s ID. UTF-8 string. Must not be NULL. @param transform Node’s transform. @return `true` if a node exists. @return `false` if a node doesn’t exist or ID isn’t a UTF-8 string. @return `false` if a node exists, but not renderable.